Bug 505265 - CVE-2009-1384 RHEL-5's pam_krb5: Password prompt varies for existent and non-existent users
Summary: CVE-2009-1384 RHEL-5's pam_krb5: Password prompt varies for existent and non-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pam_krb5
Version: 5.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Nalin Dahyabhai
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On:
Blocks: 499522 CVE-2009-1384 5.5TechNotes-Updates
TreeView+ depends on / blocked
 
Reported: 2009-06-11 09:04 UTC by Jan Lieskovsky
Modified: 2018-10-27 15:04 UTC (History)
9 users (show)

Fixed In Version: pam_krb5-2.2.14-15
Doc Type: Bug Fix
Doc Text:
When pam_krb5 is configured to be called first during authentication, the password prompt will no longer vary based on whether or not the user-supplied login name corresponds to an actual user on the system.
Clone Of:
Environment:
Last Closed: 2010-03-30 08:33:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0258 normal SHIPPED_LIVE Low: pam_krb5 security and bug fix update 2010-03-29 12:48:51 UTC

Description Jan Lieskovsky 2009-06-11 09:04:00 UTC
A security flaw was found in PAM pam_krb5 module, providing user authentication
based on Kerberos principals. A remote attacker could use this flaw to
recognize, if some username/login belongs to set of user accounts,
existing on the system, and subsequently perform dictionary based password
guess attack.

Comment 8 Nalin Dahyabhai 2010-02-04 23:32:26 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
When pam_krb5 is configured to be called first during authentication, the password prompt will no longer vary based on whether or not the user-supplied login name corresponds to an actual user on the system.

Comment 9 Chris Ward 2010-02-11 10:19:50 UTC
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.

Comment 12 errata-xmlrpc 2010-03-30 08:33:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0258.html


Note You need to log in before you can comment on or make changes to this bug.